获取样条曲线在给定索引处的拟合点。 支持的平台:仅窗口 签名工 务 局: RetVal = object.GetFitPoint(Index)
返回值(RetVal)类型:变体(双精度的三元素数组) 给定索引位置处拟合点的 3D WCS 坐标。 言论没有额外的评论。 例子工 务 局: Sub Example_GetFitPoint() ' This example creates a spline object in model space. ' It then finds the coordinates of the fit points. ' Create the spline Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double Dim endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0 fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0 fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ZoomAll ' Display the coordinates of the fit points Dim fitPoint As Variant Dim index As Integer For index = 0 To splineObj.NumberOfFitPoints - 1 fitPoint = splineObj.GetFitPoint(index) MsgBox "Fit point " & index + 1 & " is at " & fitPoint(0) & ", " & fitPoint(1) & ", " & fitPoint(2), , "GetFitPoint Example" Next End Sub Visual LISP: (vl-load-com) (defun c:Example_GetFitPoint() ;; This example creates a spline object in model space. ;; It then finds the coordinates of the fit points. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Create the spline (setq startTan (vlax-3d-point 0.5 0.5 0) endTan (vlax-3d-point 0.5 0.5 0) fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8))) (vlax-safearray-fill fitPoints '(1 1 0 5 5 0 10 0 0 ) ) (setq modelSpace (vla-get-ModelSpace doc)) (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan)) (vla-ZoomAll acadObj) ;; Display the coordinates of the fit points (setq index 0) (while (>= (1- (vla-get-NumberOfFitPoints splineObj)) 0) (setq fitPoint (vlax-safearray->list (vlax-variant-value (vla-GetFitPoint splineObj index)))) (alert (strcat "Fit point " (itoa (1+ index)) " is at " (rtos (nth 0 fitPoint) 2) ", " (rtos (nth 1 fitPoint) 2) ", " (rtos (nth 2 fitPoint) 2))) (setq index (1+ index)) ) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:29
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.